Xerces-C++: DOMEntity Class Reference

# DOMEntity Class Reference

This interface represents an entity, either parsed or unparsed, in an XML document. More...

Inheritance diagram for DOMEntity:

List of all members.

## Public Member Functions
Destructor
virtual | ~DOMEntity ()
| Destructor.
Functions introduced in DOM Level 1
virtual const XMLCh * | getPublicId () const =0
| The public identifier associated with the entity, if specified.
virtual const XMLCh * | getSystemId () const =0
| The system identifier associated with the entity, if specified.
virtual const XMLCh * | getNotationName () const =0
| For unparsed entities, the name of the notation for the entity.
Functions introduced in DOM Level 3.
virtual const XMLCh * | getInputEncoding () const =0
| An attribute specifying the encoding used for this entity at the time of parsing, when it is an external parsed entity.
virtual const XMLCh * | getXmlEncoding () const =0
| An attribute specifying, as part of the text declaration, the encoding of this entity, when it is an external parsed entity.
virtual const XMLCh * | getXmlVersion () const =0
| An attribute specifying, as part of the text declaration, the version number of this entity, when it is an external parsed entity.
## Protected Member Functions
Hidden constructors
| DOMEntity ()
| DOMEntity (const DOMEntity &other)

## Detailed Description

This interface represents an entity, either parsed or unparsed, in an XML document.

Note that this models the entity itself not the entity declaration. `DOMEntity` declaration modeling has been left for a later Level of the DOM specification.

The `nodeName` attribute that is inherited from `DOMNode` contains the name of the entity.

An XML processor may choose to completely expand entities before the structure model is passed to the DOM; in this case there will be no `DOMEntityReference` nodes in the document tree.

XML does not mandate that a non-validating XML processor read and process entity declarations made in the external subset or declared in external parameter entities. This means that parsed entities declared in the external subset need not be expanded by some classes of applications, and that the replacement value of the entity may not be available. When the replacement value is available, the corresponding `DOMEntity` node's child list represents the structure of that replacement text. Otherwise, the child list is empty.

The DOM Level 2 does not support editing `DOMEntity` nodes; if a user wants to make changes to the contents of an `DOMEntity`, every related `DOMEntityReference` node has to be replaced in the structure model by a clone of the `DOMEntity`'s contents, and then the desired changes must be made to each of those clones instead. `DOMEntity` nodes and all their descendants are readonly.

An `DOMEntity` node does not have any parent.If the entity contains an unbound namespace prefix, the `namespaceURI` of the corresponding node in the `DOMEntity` node subtree is `null`. The same is true for `DOMEntityReference` nodes that refer to this entity, when they are created using the `createEntityReference` method of the `DOMDocument` interface. The DOM Level 2 does not support any mechanism to resolve namespace prefixes.

See also the Document Object Model (DOM) Level 2 Core Specification.

Since:
  DOM Level 1

## Constructor & Destructor Documentation

DOMEntity::DOMEntity | ( |  | ) | `[protected]`

DOMEntity::DOMEntity | ( | const DOMEntity & | other | ) | `[protected]`

virtual DOMEntity::~DOMEntity | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual const XMLCh* DOMEntity::getPublicId | ( |  | ) | const`[pure virtual]`

The public identifier associated with the entity, if specified.

If the public identifier was not specified, this is `null`.

Since:
  DOM Level 1

virtual const XMLCh* DOMEntity::getSystemId | ( |  | ) | const`[pure virtual]`

The system identifier associated with the entity, if specified.

If the system identifier was not specified, this is `null`.

Since:
  DOM Level 1

virtual const XMLCh* DOMEntity::getNotationName | ( |  | ) | const`[pure virtual]`

For unparsed entities, the name of the notation for the entity.

For parsed entities, this is `null`.

Since:
  DOM Level 1

virtual const XMLCh* DOMEntity::getInputEncoding | ( |  | ) | const`[pure virtual]`

An attribute specifying the encoding used for this entity at the time of parsing, when it is an external parsed entity.

This is `null` if it an entity from the internal subset or if it is not known.

Since:
  DOM Level 3

virtual const XMLCh* DOMEntity::getXmlEncoding | ( |  | ) | const`[pure virtual]`

An attribute specifying, as part of the text declaration, the encoding of this entity, when it is an external parsed entity.

This is `null` otherwise.

Since:
  DOM Level 3

virtual const XMLCh* DOMEntity::getXmlVersion | ( |  | ) | const`[pure virtual]`

An attribute specifying, as part of the text declaration, the version number of this entity, when it is an external parsed entity.

This is `null` otherwise.

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMEntity.hpp